"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.JsonOutputHandler = void 0;
const fs_1 = require("fs");
class JsonOutputHandler {
    constructor({ destinationPath, messenger, }) {
        this.defaultFileName = 'icons.json';
        this.destinationPath = destinationPath;
        this.messenger = messenger;
    }
    run(parsedIcons) {
        var _a;
        let destinationPath = this.destinationPath;
        const stats = fs_1.statSync(destinationPath);
        if (stats.isDirectory()) {
            destinationPath = `${destinationPath}/${this.defaultFileName}`;
        }
        fs_1.writeFileSync(destinationPath, JSON.stringify(parsedIcons));
        (_a = this.messenger) === null || _a === void 0 ? void 0 : _a.log('Created icons json file in: ' + destinationPath);
    }
}
exports.JsonOutputHandler = JsonOutputHandler;
