import { Transformer } from '../types/transformer';
import { Parser } from '../types/parser';
import { OutputHandler } from '../types/output-handler';
import { TransformedInput } from '../types/transformed-input';
import { ParsedIcons } from '../types/parsed-icon';
interface ManagerDependencies {
    transformer: Transformer;
    parser: Parser;
    outputHandler: OutputHandler;
}
export declare class Manager {
    protected readonly transformer: Transformer;
    protected readonly parser: Parser;
    protected readonly outputHandler: OutputHandler;
    protected input?: any;
    protected transformedInput?: TransformedInput;
    protected parsedIcons?: ParsedIcons;
    constructor({ transformer, parser, outputHandler }: ManagerDependencies);
    transform(): Manager;
    parse(): Manager;
    output(): Manager;
}
export {};
