"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Manager = void 0;
class Manager {
    constructor({ transformer, parser, outputHandler }) {
        this.transformer = transformer;
        this.parser = parser;
        this.outputHandler = outputHandler;
    }
    transform() {
        this.transformedInput = this.transformer.run();
        return this;
    }
    parse() {
        if (!this.transformedInput) {
            throw new Error('You must transform an input before decode it.');
        }
        this.parsedIcons = this.parser.run(this.transformedInput);
        return this;
    }
    output() {
        if (!this.parsedIcons) {
            throw new Error('You must transformed and decode an input before output it.');
        }
        this.outputHandler.run(this.parsedIcons);
        return this;
    }
}
exports.Manager = Manager;
