"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CliLogger = void 0;
const consts_1 = require("../consts");
const colors = require("./colors");
const emoji = require("./emoji");
const cli_ux_1 = require("cli-ux");
class CliLogger {
    log(...messages) {
        // eslint-disable-next-line no-console
        console.log('   ', ...messages);
        return this;
    }
    header() {
        return this.log().log(colors.bold(consts_1.pkg.name), colors.info(consts_1.pkg.version));
    }
    footer() {
        return this.log();
    }
    error(...messages) {
        this.log();
        // eslint-disable-next-line no-console
        console.error('   ', emoji.no, colors.error(messages.join(' ')));
        return this;
    }
    prompt(question) {
        return cli_ux_1.cli.prompt('    ' + question);
    }
    die(...messages) {
        messages.length && this.error(...messages);
        this.footer();
        // eslint-disable-next-line no-process-exit,unicorn/no-process-exit
        process.exit(1);
    }
}
exports.CliLogger = CliLogger;
