"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.file = exports.command = exports.error = exports.info = exports.bold = void 0;
const chalk = require("chalk");
/**
 * Applies colors to emphasize
 *
 * @param {...string} messages
 */
exports.bold = (...messages) => {
    return chalk.bold(...messages);
};
/**
 * Applies colors to inform
 *
 * @param {...string} messages
 */
exports.info = (...messages) => {
    return chalk.bold.cyan(...messages);
};
/**
 * Applies colors to signify error
 *
 * @param {...string} messages
 */
exports.error = (...messages) => {
    return chalk.bold.red(...messages);
};
/**
 * Applies colors to represent a command
 *
 * @param {...string} messages
 */
exports.command = (...messages) => {
    return chalk.bold.magenta(...messages);
};
/**
 * Applies colors to represent a file
 *
 * @param {...string} messages
 */
exports.file = (...messages) => {
    return chalk.bold.magenta(...messages);
};
