import { MessengerInterface } from '../types/messenger-interface';
import { Config } from '../types/config';
interface ConfigFactoryInterface {
    defaultConfigPath: string;
    messenger: MessengerInterface;
}
export declare class ConfigFactory {
    protected defaultConfigPath: string;
    protected messenger: MessengerInterface;
    constructor({ defaultConfigPath, messenger }: ConfigFactoryInterface);
    /**
     * Read config file,
     * if path is not exists it will try to load from default config path.
     *
     * @param path
     */
    readConfigFile(path?: string): Promise<object>;
    /**
     * Resolve config from an object
     *
     * @param rawConfig
     */
    resolveConfig(rawConfig: object): Partial<Config>;
}
export {};
