"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Messenger = void 0;
const lodash_1 = require("lodash");
const events_1 = require("events");
class Messenger {
    constructor() {
        this.eventEmitter = new events_1.EventEmitter();
    }
    log(message, ...args) {
        this.eventEmitter.emit(Messenger.LOG, message, ...args);
    }
    error(message, ...args) {
        this.eventEmitter.emit(Messenger.ERROR, message, ...args);
    }
    warn(message, ...args) {
        this.eventEmitter.emit(Messenger.WARN, message, ...args);
    }
    listen(listeners) {
        lodash_1.forEach(listeners, (value, key) => {
            this.eventEmitter.on(key, value);
        });
    }
}
exports.Messenger = Messenger;
Messenger.LOG = 'log';
Messenger.ERROR = 'error';
Messenger.WARN = 'warn';
